Trying to open the E-mail plug-in gives me an error

This is where you report any issues if you are running a beta version of EventGhost
Forum rules
To submit a possible bug report please follow this template

Version: 0.5 beta 2 (the version you are running)
Traceback: Traceback (most recent call last):
File "<SOME_EVENTGHOST_FILE.py>", line 10, in <module>
SOME_FUNCTION()
File "<SOME_EVENTGHOST_FILE.py>", line 4, in SOME_EVENTGHOST_MODULE
SOME_FUNCTION()

copy and past any traceback information from the log if there is no traceback put NONE

Event:
Main.test.0.1.2.3.4.5.6.7.8
1
2

in the Event field you will want to put the event that was triggered just prior to the traceback occurring, if there is personal data put PERSONAL DATA if there was no traceback or no event triggered right before the traceback put NO EVENT

Description: if you have the ability to replicate the issue then put in here a description of what you are doing to create the problem.

Screen Shots: screen shots of the error and any events/macros/acrions that were run before the issue or screen shots of the problem

Files: any files that may be used to isolate where the issue is. something like the log.txt file would go here

if you provide the above information before hand it will greatly speed up the diagnostic process. we will not have to ask for the bits and pieces. And also having a well formatted Bug Report filled out will get answered sooner then the ones that aren't
Post Reply
Mastiff
Experienced User
Posts: 872
Joined: Thu May 03, 2012 10:43 am

Trying to open the E-mail plug-in gives me an error

Post by Mastiff » Tue Jan 30, 2018 8:12 am

This is from double clicking the E-mail plugin:

Code: Select all

09:09:05   Traceback (most recent call last) (0.5.0-rc4):
09:09:05     File "C:\Program Files (x86)\EventGhost\eg\Classes\TaskletDialog.py", line 162, in ProcessingTask
09:09:05       self.Configure(*args, **kwargs)
09:09:05     File "C:\Program Files (x86)\EventGhost\eg\Classes\ConfigDialog.py", line 106, in Configure
09:09:05       treeItem.Configure(*args)
09:09:05     File "C:\Program Files (x86)\EventGhost\eg\Classes\ActionItem.py", line 80, in Configure
09:09:05       return self.executable.Configure(*args)
09:09:05     File "C:\Program Files (x86)\EventGhost\plugins\E-mail\__init__.py", line 3706, in Configure
09:09:05       topLeftSizer.Add(choiceType,0,wx.EXPAND|wx.TOP,1)
09:09:05     File "wx\_core.pyc", line 14457, in Add
09:09:05   PyAssertionError: C++ assertion "Assert failure" failed at ..\..\src\common\sizer.cpp(1401) in wxGridSizer::DoInsert(): too many items (9 > 2*4) in grid sizer (maybe you should omit the number of either rows or columns?)
This is from trying to add a new "Send E-mail" action:

Code: Select all

09:11:30   Traceback (most recent call last) (0.5.0-rc4):
09:11:30     File "C:\Program Files (x86)\EventGhost\eg\Classes\TaskletDialog.py", line 162, in ProcessingTask
09:11:30       self.Configure(*args, **kwargs)
09:11:30     File "C:\Program Files (x86)\EventGhost\eg\Classes\ConfigDialog.py", line 106, in Configure
09:11:30       treeItem.Configure(*args)
09:11:30     File "C:\Program Files (x86)\EventGhost\eg\Classes\ActionItem.py", line 80, in Configure
09:11:30       return self.executable.Configure(*args)
09:11:30     File "C:\Program Files (x86)\EventGhost\plugins\E-mail\__init__.py", line 3261, in Configure
09:11:30       self.plugin
09:11:30     File "C:\Program Files (x86)\EventGhost\plugins\E-mail\__init__.py", line 185, in SendCfg
09:11:30       topSizer.AddGrowableCol(1)
09:11:30     File "wx\_core.pyc", line 15368, in AddGrowableCol
09:11:30   PyAssertionError: C++ assertion "!m_cols || idx < (size_t)m_cols" failed at ..\..\src\common\sizer.cpp(1980) in wxFlexGridSizer::AddGrowableCol(): invalid column index
And this is from double clicking an action I already have:

Code: Select all

09:12:12   Traceback (most recent call last) (0.5.0-rc4):
09:12:12     File "C:\Program Files (x86)\EventGhost\eg\Classes\TaskletDialog.py", line 162, in ProcessingTask
09:12:12       self.Configure(*args, **kwargs)
09:12:12     File "C:\Program Files (x86)\EventGhost\eg\Classes\ConfigDialog.py", line 106, in Configure
09:12:12       treeItem.Configure(*args)
09:12:12     File "C:\Program Files (x86)\EventGhost\eg\Classes\ActionItem.py", line 80, in Configure
09:12:12       return self.executable.Configure(*args)
09:12:12     File "C:\Program Files (x86)\EventGhost\plugins\E-mail\__init__.py", line 3261, in Configure
09:12:12       self.plugin
09:12:12     File "C:\Program Files (x86)\EventGhost\plugins\E-mail\__init__.py", line 185, in SendCfg
09:12:12       topSizer.AddGrowableCol(1)
09:12:12     File "wx\_core.pyc", line 15368, in AddGrowableCol
09:12:12   PyAssertionError: C++ assertion "!m_cols || idx < (size_t)m_cols" failed at ..\..\src\common\sizer.cpp(1980) in wxFlexGridSizer::AddGrowableCol(): invalid column index
Is this fixable now? I really need one warning mail...

Mastiff
Experienced User
Posts: 872
Joined: Thu May 03, 2012 10:43 am

Re: Trying to open the E-mail plug-in gives me an error

Post by Mastiff » Thu Feb 01, 2018 6:54 pm

No love for this error? I removed all the actions I have on the plug-in, deleted the instance, restarted EG and tried to add the Plug-in anew, but this is the result:

Code: Select all

19:53:38   Traceback (most recent call last) (WIP-2018.01.07-15.47.38):
19:53:38     File "C:\Program Files (x86)\EventGhost\eg\Classes\TaskletDialog.py", line 162, in ProcessingTask
19:53:38       self.Configure(*args, **kwargs)
19:53:38     File "C:\Program Files (x86)\EventGhost\eg\Classes\ConfigDialog.py", line 106, in Configure
19:53:38       treeItem.Configure(*args)
19:53:38     File "C:\Program Files (x86)\EventGhost\eg\Classes\ActionItem.py", line 80, in Configure
19:53:38       return self.executable.Configure(*args)
19:53:38     File "C:\Program Files (x86)\EventGhost\plugins\E-mail\__init__.py", line 3706, in Configure
19:53:38       topLeftSizer.Add(choiceType,0,wx.EXPAND|wx.TOP,1)
19:53:38     File "wx\_core.pyc", line 14457, in Add
19:53:38   PyAssertionError: C++ assertion "Assert failure" failed at ..\..\src\common\sizer.cpp(1401) in wxGridSizer::DoInsert(): too many items (9 > 2*4) in grid sizer (maybe you should omit the number of either rows or columns?)

User avatar
topix
Experienced User
Posts: 441
Joined: Sat May 05, 2007 3:43 pm
Location: Germany
Contact:

Re: Trying to open the E-mail plug-in gives me an error

Post by topix » Sat Feb 03, 2018 12:54 pm

Try new plugin version: viewtopic.php?p=50029#p50029

Mastiff
Experienced User
Posts: 872
Joined: Thu May 03, 2012 10:43 am

Re: Trying to open the E-mail plug-in gives me an error

Post by Mastiff » Sat Feb 03, 2018 1:02 pm

Beautiful, thanks a lot! :mrgreen:

Post Reply